%define major	1
%define libname	%mklibname %{name}_ %{major}
%define develname %mklibname %name -d

Name:		imlib2
Version:	1.12.0
Release:	%mkrel 1
Summary:	Powerful image loading and rendering library
License:	Imlib2
URL:		http://sourceforge.net/projects/enlightenment/
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}
Source0:	http://download.enlightenment.org/snapshots/2008-01-25/%name-%version.tar.xz
#------------------------------------------------
BuildRequires: lib64bzip2-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64gif-devel
BuildRequires: lib64id3tag-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64png-devel
BuildRequires: lib64tiff-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
#------------------------------------------------

%description
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

Build Options:
--with mmx      Enable mmx cpu detection (10% - 30% speedup)

%package -n	%{libname}
Summary:	Powerful image loading and rendering library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{libname}-filters = %{version}-%{release}
Requires:	%{libname}-loaders = %{version}-%{release}

%description -n	%{libname}
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.


%package -n	%develname
Summary:	Imlib2 headers, static libraries and documentation
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:  	%mklibname %{name}_ 1 -d

%description -n	%develname
Imlib2 is an advanced replacement library for libraries like libXpm that
provides many more features with much greater flexibility and speed than
standard libraries, including font rasterization, rotation, RGBA space
rendering and blending, dynamic binary filters, scripting, and more.

This package contains various headers and static libraries for %{name}.
You need this package if you want to compile or develop any applications
that need %{name}.


%package -n	%{libname}-filters
Summary:	Imlib2 basic plugin filters set
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-filters
This package contains Imlib2 basic set of plugin filters.


%package -n	%{libname}-loaders
Summary:	Imlib2 loader for various graphic formats
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-loaders
This package contains Imlib2 image loader/saver for various graphic formats,
such as jpeg, gif, tiff, xpm etc.

%package data
Summary:	Imlib2 data
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description data
This package contains Imlib2 data.

%package doc
Summary:	Imlib2 doc
Group:		Documentation
Requires:	%{libname} = %{version}-%{release}

%description doc
This package contains doc files.


%prep
%setup -q

%build
%configure2_5x --disable-static \
	--enable-mmx=yes \
	--enable-amd64 \
	--with-x

%make_build

%install
rm -rf %{buildroot}
%makeinstall_std

# remove files not bundled
rm -f %{buildroot}/%{_libdir}/lib*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/lib*.so.*

%files -n %develname
%defattr(-,root,root,0755)
%{_bindir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%files -n %{libname}-filters
%defattr(-,root,root)
%{_libdir}/%{name}/filters

%files -n %{libname}-loaders
%defattr(-,root,root)
%{_libdir}/%{name}/loaders

%files data
%defattr(-,root,root)
%{_datadir}/%{name}

%files doc
%defattr(-,root,root)
%doc AUTHORS README COPYING

%changelog
* Sun Aug 20 2023 tex - 1.12.0-1pclos2023
- new version

* Mon Jan 16 2023 tex - 1.10.0-1pclos2023
- new version

* Tue Oct 05 2021 tex - 1.7.4-1pclos2021
- new version

* Sun Aug 08 2021 tex - 1.7.2-1pclos2021
- new version

* Mon Aug 03 2020 tex - 1.7.0-1pclos2020
- new version

* Sat Dec 21 2019 tex - 1.6.1-1pclos2020
- new version

* Sun Dec 08 2019 onkelho <oh.quait at gmail.com> - 1.6.0-2pclos2019
- rebuild 

* Tue Nov 26 2019 tex - 1.6.0-1pclos2019
- new version: 1.6.0

* Sat Apr 07 2018 bb2 <bb2> - 1.5.1-1pclos2018
- new version
